This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 506689 - firstaidkit shouldn't require grub
firstaidkit shouldn't require grub
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstaidkit (Show other bugs)
11
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2009-06-18 07:00 EDT by Karsten Hopp
Modified: 2010-04-30 04:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-30 04:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2009-06-18 07:00:40 EDT
Description of problem:
There's no grub on s390, s390x, ppc, ppc64, sparc. firstaidkit-plugin-grub
requires grub on all those archs. Even when an ExcludeArch is added for the plugin-grub subpackage, there's still an requirement for firstaidkit-plugin-grub
in the plugin-all subpackage which then fails.

Version-Release number of selected component (if applicable):
firstaidkit-0.2.2-9.fc11


Additional info:

%ifnarch s390 s390x won't help here as this is a noarch package
Comment 1 Karsten Hopp 2009-06-29 05:27:39 EDT
This is blocking any progress on creating bootable images for s390x with pungi, please fix
Comment 2 Martin Sivák 2009-06-30 08:06:28 EDT
Hi, rpm doesn't support arch dependent subpackages for arch independent main package. We already filled a ticked for the rpm team. But will it help to temporarily remove the plugin-all subpackage? How does it get into the compose anyway?
Comment 3 Karsten Hopp 2009-06-30 09:35:56 EDT
I have no idea what pulls in this package, repoquery doesn't show anything and the pungi kickstart file is quite minimalistic to speed things up.
Remiving the plugin-all package would be a possible solution to these kind of problems on architectures without grub. ExcludeArch for subpackages fortunately
seems to work even for noarch packages, only ifarch and ifnarch don't.

I'm working around this problem atm. with a package that just provides grub, but we need to have a look at it so things work when rel-eng takes over the pungi image creation.
Comment 4 Martin Sivák 2009-08-26 08:35:18 EDT
Grub plugin should not be included for s390, ppcs and sparc after anaconda 12.17 comes out.
Comment 5 Bug Zapper 2010-04-27 11:03:12 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.